FeedSettings:
  post:
    tags:
      - feed_settings
    operationId: createFeedSettings
    x-lg-handler: 'App\Http\ApiV1\Modules\Feeds\Controllers\FeedSettingsController@create'
    summary: Создание объекта типа FeedSettings
    description: Создание объекта типа FeedSettings
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/feed_settings.yaml#/FeedSettingsForCreate'
    responses:
      "201":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/feed_settings.yaml#/FeedSettingsResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
FeedSettingsOne:
  get:
    tags:
      - feed_settings
    operationId: getFeedSettings
    x-lg-handler: 'App\Http\ApiV1\Modules\Feeds\Controllers\FeedSettingsController@get'
    summary: Получение объекта типа FeedSettings
    description: Получение объекта типа FeedSettings
    parameters:
      - $ref: '../index.yaml#/components/parameters/PathId'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/feed_settings.yaml#/FeedSettingsResponse'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  patch:
    tags:
      - feed_settings
    operationId: patchFeedSettings
    x-lg-handler: 'App\Http\ApiV1\Modules\Feeds\Controllers\FeedSettingsController@patch'
    summary: Обновления части полей объекта типа FeedSettings
    description: Обновления части полей объекта типа FeedSettings
    parameters:
      - $ref: '../index.yaml#/components/parameters/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/feed_settings.yaml#/FeedSettingsForPatch'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/feed_settings.yaml#/FeedSettingsResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
FeedSettingsSearch:
  post:
    tags:
      - feed_settings
    operationId: searchFeedSettings
    x-lg-handler: 'App\Http\ApiV1\Modules\Feeds\Controllers\FeedSettingsController@search'
    x-lg-skip-request-generation: true
    summary: Поиск объектов типа FeedSettings
    description: Поиск объектов типа FeedSettings
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/feed_settings.yaml#/SearchFeedSettingsRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/feed_settings.yaml#/SearchFeedSettingsResponse'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

FeedOne:
  get:
    tags:
      - feeds
    operationId: getFeed
    x-lg-handler: 'App\Http\ApiV1\Modules\Feeds\Controllers\FeedsController@get'
    summary: Получение объекта типа Feed
    description: Получение объекта типа Feed
    parameters:
      - $ref: '../index.yaml#/components/parameters/PathId'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/feeds.yaml#/FeedResponse'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
FeedsSearch:
  post:
    tags:
      - feeds
    operationId: searchFeeds
    x-lg-handler: 'App\Http\ApiV1\Modules\Feeds\Controllers\FeedsController@search'
    x-lg-skip-request-generation: true
    summary: Поиск объектов типа Feed
    description: Поиск объектов типа Feed
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/feeds.yaml#/SearchFeedsRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/feeds.yaml#/SearchFeedsResponse'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
